Installation failed with setup project

Add-in Express™ Support Service
That's what is more important than anything else

Installation failed with setup project
Works on my computer but not on another one 
Giacopino cyril




Posts: 8
Joined: 2010-03-31
Hi,

I acheived my setup project, automatically generated, when I try on my computer it works, but now when I try on another one, it says that this assembly was built with a runtime that is more recent that the runtime loaded, and can't be loaded?

I generate the setup project using right click -> create project setup

Is somebody can help me?

Here's the stack trace :

Exception Source: mscorlib
Exception Type: System.BadImageFormatException
Exception Message: Cet assembly a été construit par un runtime plus récent que le runtime actuellement chargé et ne peut pas être chargé. (Exception de HRESULT : 0x8013101B)
Exception Target Site: nLoadFile

---- Stack Trace ----
System.Reflection.Assembly.nLoadFile(path As String, evidence As Evidence)
AddinExpress.IE.DLL: N 00000 (0x0) JIT
System.Reflection.Assembly.LoadFile(path As String)
AddinExpress.IE.DLL: N 0013 (0xD) IL
AddinExpress.Deployment.AddinDomainAdapter.RegisterForComInterop(register As Boolean, dllType As String, dllPath As String, showExceptions As Boolean)
AddinExpress.IE.DLL: N 0045 (0x2D) IL
AddinExpress.Deployment.ADXRegistrator.RegisterAssembly(commandLine As String)
AddinExpress.IE.DLL: N 0437 (0x1B5) IL



12:20:51 The add-in registration process is completed with HRESULT = -2147467259.
Posted 01 Apr, 2010 05:37:49 Top
Andrei Smolin


Add-in Express team


Posts: 14690
Joined: 2006-05-11
Hi Giacopino,

You need to do one of the following:

- use an older .NET Framework version (but see Why not to use Visual Studio 2003 (.NET Framework 1.1) for developing Office extensions)
- add the .NET Framework version that you use to prereqisites of your setup project and check if the ".NET Framework" launch condition checks for the correct .NET Framework version

Regards from Belarus (GMT+2),

Andrei Smolin
Add-in Express Team Leader
Posted 01 Apr, 2010 06:08:18 Top
Giacopino cyril




Posts: 8
Joined: 2010-03-31
User added an imageHi,

Tks for your answer.

I use visual studio 2010 RC, and I need .NET Frameword 3.5 SP1 to deploy my project.

So first I use prereqisites like this :

User added an image

And after I change launch condition like this :

User added an image

Finally I build and deploy the project, when I install it it get this error :

Application Domain: C:\Program Files\Tequilarapido\Microsoft Live Messenger pour IE8\
Assembly Codebase: file:///C:/Program Files/Tequilarapido/Microsoft Live Messenger pour IE8/AddinExpress.IE.DLL
Assembly Full Name: AddinExpress.IE, Version=6.1.368.0, Culture=neutral, PublicKeyToken=4416dd98f0861965
Assembly Version: 6.1.368.0
Assembly Build Date: 02/03/2010 10:04:00

Exception Source: mscorlib
Exception Type: System.BadImageFormatException
Exception Message: Cet assembly a été construit par un runtime plus récent que le runtime actuellement chargé et ne peut pas être chargé. (Exception de HRESULT : 0x8013101B)
Exception Target Site: nLoadFile

---- Stack Trace ----
System.Reflection.Assembly.nLoadFile(path As String, evidence As Evidence)
AddinExpress.IE.DLL: N 00000 (0x0) JIT
System.Reflection.Assembly.LoadFile(path As String)
AddinExpress.IE.DLL: N 0013 (0xD) IL
AddinExpress.Deployment.AddinDomainAdapter.RegisterForComInterop(register As Boolean, dllType As String, dllPath As String, showExceptions As Boolean)
AddinExpress.IE.DLL: N 0045 (0x2D) IL
AddinExpress.Deployment.ADXRegistrator.RegisterAssembly(commandLine As String)
AddinExpress.IE.DLL: N 0437 (0x1B5) IL
Posted 02 Apr, 2010 03:54:42 Top
Giacopino cyril




Posts: 8
Joined: 2010-03-31
Posted 02 Apr, 2010 03:55:14 Top
Andrei Smolin


Add-in Express team


Posts: 14690
Joined: 2006-05-11
Hi Giacopino,

I suppose something is wrong with VS 2010. Please pay attention to Unhandled win32 exception in regcap.exe when building addin setup project.

Regards from Belarus (GMT+2),

Andrei Smolin
Add-in Express Team Leader
Posted 02 Apr, 2010 04:43:07 Top
Giacopino cyril




Posts: 8
Joined: 2010-03-31
Hi,

Oki I use VS2008 and all work perfectly, you can't use VS2010 with this version of addins express right now.

Tks for your help.
Posted 02 Apr, 2010 08:28:51 Top